<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_authz</name>
    <title>GSI Authorization API</title>
    <filename>group__globus__gsi__authz.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_init</name>
      <anchor>ga0</anchor>
      <arglist>(globus_gsi_authz_handle_t *handle, const char *service_name, const gss_ctx_id_t context, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authorize</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, const void *action, const void *object, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_handle_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_authz_get_authorization_identity</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_authz_handle_t handle, char **identity_ptr, globus_gsi_authz_cb_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_authz_constants</name>
    <title>GSI Credential Constants</title>
    <filename>group__globus__gsi__authz__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_authz_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_SUCCESS</name>
      <anchor>gga0a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_ERRNO</name>
      <anchor>gga0a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_BAD_PARAMETER</name>
      <anchor>gga0a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_AUTHZ_ERROR_CALLOUT</name>
      <anchor>gga0a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
